/*
 *	Global definitions.
 */

#ifndef HR_BITMAPS
#define HR_BITMAPS
extern struct hr_bitmap{
	int flags;
	int width;
	int height;
	int colors;
	int color_offset;
	unsigned char *data;
	unsigned char *palette;
}dummy_bitmap;

extern struct hr_bitmap *hr_create_bitmap (unsigned char *data,
														 unsigned char *palette,
														 int width,int height,
														 int colors,int flags);
extern struct hr_bitmap *hr_delete_bitmap(struct hr_bitmap *b);
extern void hr_recolor_bitmap(struct hr_bitmap *p,int color,int flags);
extern void hr_monodraw(struct hr_bitmap *b,int x,int y,int color);
extern void hr_use_bitmap_palette(struct hr_bitmap *bmap,
											 int mincol,int maxcol,int flags);
extern int hr_color_extreme(struct hr_bitmap *b,
									 int mincol,int maxcol,int flags);
extern void hr_draw_bitmap(struct hr_bitmap *bmap,int x,int y,int flags);
extern void hr_draw_partial_bitmap(struct hr_bitmap *bmap,
											  int x,int y,
											  int x1,int y1,int x2,int y2,int flags);
extern struct hr_bitmap *hr_scale_bitmap(struct hr_bitmap *bmap,
													  int nwidth,int nheight,int flags);
extern struct hr_bitmap *hr_rotate_bitmap(struct hr_bitmap *bmap,
														int angle,int flags);
extern struct hr_bitmap *hr_get_bitmap(int x1,int y1,int x2,int y2,int flags);
extern struct hr_bitmap *hr_xflip_bitmap(struct hr_bitmap *bmap,int flags);
extern struct hr_bitmap *hr_yflip_bitmap(struct hr_bitmap *bmap,int flags);
#endif
